﻿Macro MakeLong(low, high) 
  low | high <<16 
EndMacro 

d$=Space(1024)
;https://docs.microsoft.com/en-us/windows/desktop/controls/create-a-tooltip-for-a-rectangular-area
If OpenWindow(0, 0, 0, 230, 90, "MouseClock", #PB_Window_SystemMenu | #PB_Window_ScreenCentered|#PB_Window_Invisible)
   
   hwndTT.l = CreateWindowEx_(#WS_EX_TOPMOST, #TOOLTIPS_CLASS, 0,#WS_POPUP | #TTS_NOPREFIX | #TTS_ALWAYSTIP,#CW_USEDEFAULT, #CW_USEDEFAULT, #CW_USEDEFAULT, #CW_USEDEFAULT,WindowID(0), 0, GetModuleHandle_(0),0)
   SetWindowPos_(hwndTT, #HWND_TOPMOST, 0, 0, 0, 0, #SWP_NOMOVE | #SWP_NOSIZE | #SWP_NOACTIVATE);

     ti.TOOLINFO
     ti\cbSize   = SizeOf(TOOLINFO);
     ti\uFlags   = #TTF_SUBCLASS;
     ti\hwnd     = WindowID(0)
     ti\hinst    = GetModuleHandle_(0)
     ti\lpszText = @"This is your tooltip string."
     GetClientRect_(WindowID(0), @ti\rect);
     SendMessage_(hwndTT, #TTM_ADDTOOL, 0, @ti); 
     
  hicon.l=LoadIcon_(GetModuleHandle_(0),1)
  AddSysTrayIcon (1, WindowID(0), hicon) ; <<--- hier irgend ein 16X16 Icon nehmen 
  ;SysTrayIconToolTip (1, "wnd max") 
  
  If CreatePopupMenu(0) 
    MenuItem(2, "Quit") 
  EndIf  
     AddWindowTimer(0, 123, 25);0*4)
     
     Quit=0
   Repeat
     Event = WaitWindowEvent()
     
     If Event = #PB_Event_Timer; And EventTimer() = 123
        SendMessage_(hwndTT, #TTM_TRACKACTIVATE, #True, @ti) 
        mx = DesktopMouseX() 
        my = DesktopMouseY()
        t$ = FormatDate("%hh:%ii:%ss", Date())
        ti\lpszText = @t$
        SendMessage_(hwndTT, #TTM_UPDATETIPTEXT, 0, @ti); 
        SendMessage_(hwndTT, #TTM_TRACKPOSITION, 0, MakeLong(mx, my))
        
        st.SYSTEMTIME
        GetSystemTime_(st)
        res.l=GetDateFormat_(#LOCALE_USER_DEFAULT,0,@st,"dddd,dd MMMM yyyy"+#CRLF$+"dd.MM.yyyy",@d$,1024)
        gl.l=GetLastError_()
        SysTrayIconToolTip (1, d$) 
      EndIf 
      
          If Event = #PB_Event_SysTray ; <<-- PopUp bei click auf rechter Maustaste auf Dein Systray Icon 
      If EventType() = #PB_EventType_RightClick 
        DisplayPopupMenu(0, WindowID(0)) 
      EndIf 
    EndIf 
 
    If Event = #PB_Event_Menu ; <<-- PopUp Event 
      Select EventMenu() 

        Case 2 ; Quit 
           Quit = 1 
      EndSelect 
    EndIf 
    
    If Event = #PB_Event_CloseWindow 
      Quit = 1 
    EndIf 
 
  Until Quit = 1
  RemoveSysTrayIcon(1)
  
 EndIf

; IDE Options = PureBasic 5.30 (Windows - x86)
; CursorPosition = 44
; FirstLine = 33
; Folding = -
; EnableUnicode
; EnableXP
; UseIcon = Mouse.ico
; Executable = mc.exe